> ## Documentation Index
> Fetch the complete documentation index at: https://docs.julep.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Execution Transitions



## OpenAPI

````yaml https://api.julep.ai/api/openapi.json get /executions/{execution_id}/transitions
openapi: 3.1.0
info:
  title: Julep Agents API
  description: API for Julep Agents
  termsOfService: https://www.julep.ai/terms
  contact:
    name: Julep
    url: https://www.julep.ai/
    email: developers@julep.ai
  version: 0.4.0
servers:
  - url: /api
security: []
paths:
  /executions/{execution_id}/transitions:
    get:
      tags:
        - executions
      summary: List Execution Transitions
      operationId: list_execution_transitions_executions__execution_id__transitions_get
      parameters:
        - name: execution_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Execution Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: sort_by
          in: query
          required: false
          schema:
            enum:
              - created_at
              - updated_at
            type: string
            default: created_at
            title: Sort By
        - name: direction
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            default: desc
            title: Direction
        - name: scope_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Scope Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponse_Transition_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ListResponse_Transition_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/Transition'
          type: array
          title: Items
      type: object
      required:
        - items
      title: ListResponse[Transition]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Transition:
      properties:
        type:
          type: string
          enum:
            - init
            - init_branch
            - finish
            - finish_branch
            - wait
            - resume
            - error
            - step
            - cancelled
          title: Type
          readOnly: true
        output:
          title: Output
          readOnly: true
        created_at:
          type: string
          format: date-time
          title: Created At
          readOnly: true
        updated_at:
          type: string
          format: date-time
          title: Updated At
          readOnly: true
        execution_id:
          type: string
          format: uuid
          title: Execution Id
          readOnly: true
        current:
          $ref: '#/components/schemas/TransitionTarget'
          readOnly: true
        next:
          anyOf:
            - $ref: '#/components/schemas/TransitionTarget'
            - type: 'null'
          readOnly: true
        step_label:
          anyOf:
            - type: string
              maxLength: 120
              pattern: ^[^0-9]|^[0-9]+[^0-9].*$
            - type: 'null'
          title: Step Label
          readOnly: true
        id:
          type: string
          format: uuid
          title: Id
          readOnly: true
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
      type: object
      required:
        - type
        - output
        - created_at
        - updated_at
        - execution_id
        - current
        - next
        - id
      title: Transition
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TransitionTarget:
      properties:
        workflow:
          type: string
          maxLength: 120
          pattern: >-
            ^[\p{L}\p{Nl}\p{Pattern_Syntax}\p{Pattern_White_Space}]+[\p{ID_Start}\p{Mn}\p{Mc}\p{Nd}\p{Pc}\p{Pattern_Syntax}\p{Pattern_White_Space}]*$
          title: Workflow
        step:
          type: integer
          title: Step
        scope_id:
          type: string
          format: uuid
          title: Scope Id
      type: object
      required:
        - workflow
        - step
        - scope_id
      title: TransitionTarget
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````